org.apache.sis.metadata.iso.distribution

## Class DefaultDataFile

- Object
- - AbstractMetadata
  - - ModifiableMetadata
    - - ISOMetadata
      - - DefaultDataFile

- All Implemented Interfaces:
    Serializable, Cloneable, Emptiable, LenientComparable, IdentifiedObject, DataFile

      public class DefaultDataFile
      extends ISOMetadata
      implements DataFile

  Description of a transfer data file. The following properties are mandatory in a well-formed metadata according ISO 19115:
  `MX_DataFile` `└─fileFormat……………………………………………………………` Defines the format of the transfer data file. `└─formatSpecificationCitation……` Citation/URL of the specification format. `├─title……………………………………………………` Name by which the cited resource is known. `└─date………………………………………………………` Reference date for the cited resource.

  Limitations:

  - Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
  - Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.
  Since:
    0.3
  See Also:
    Serialized Form

  Defined in the `sis-metadata` module

- - ### Field Summary

    - ### Fields inherited from class ISOMetadata

      `identifiers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDataFile()` Constructs an initially empty data file.
    `DefaultDataFile(DataFile object)` Constructs a new instance initialized with the values from the specified metadata object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DefaultDataFile` | `castOrCopy(DataFile object)` Returns a SIS metadata implementation with the values of the given arbitrary implementation.
    `Collection<LocalName>` | `getFeatureTypes()` Returns the list of feature types concerned by the transfer data file.
    `Format` | `getFileFormat()` Returns the format of the transfer data file.
    `void` | `setFeatureTypes(Collection<? extends LocalName> newValues)` Sets the list of feature types concerned by the transfer data file.
    `void` | `setFileFormat(Format newValue)` Sets the format of the transfer data file.

    - ### Methods inherited from class ISOMetadata

      `freeze, getIdentifierMap, getIdentifiers, getStandard`

    - ### Methods inherited from class ModifiableMetadata

      `checkWritePermission, clone, collectionType, copyCollection, copyList, copySet, isModifiable, nonNullCollection, nonNullList, nonNullSet, singleton, unmodifiable, writeCollection, writeList, writeSet`

    - ### Methods inherited from class AbstractMetadata

      `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

    - ### Methods inherited from class Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDataFile

          public DefaultDataFile()

      Constructs an initially empty data file.

    - #### DefaultDataFile

          public DefaultDataFile(DataFile object)

      Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the metadata to copy values from, or `null` if none.
      See Also:
        `castOrCopy(DataFile)`

  - ### Method Detail

    - #### castOrCopy

          public static DefaultDataFile castOrCopy(DataFile object)

      Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
      - If the given object is `null`, then this method returns `null`.
      - Otherwise if the given object is already an instance of `DefaultDataFile`, then it is returned unchanged.
      - Otherwise a new `DefaultDataFile` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the object to get as a SIS implementation, or `null` if none.
      Returns:
        a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.

    - #### getFeatureTypes

          public Collection<LocalName> getFeatureTypes()

      Returns the list of feature types concerned by the transfer data file. Depending on the transfer choices, a data file may contain data related to one or many feature types. This attribute may be omitted when the dataset is composed of a single file and/or the data does not relate to a feature catalogue.
      Specified by:
        `getFeatureTypes` in interface `DataFile`
      Returns:
        list of features types concerned by the transfer data file.

    - #### setFeatureTypes

          public void setFeatureTypes(Collection<? extends LocalName> newValues)

      Sets the list of feature types concerned by the transfer data file.
      Parameters:
        `newValues` - the new feature type values.

    - #### getFileFormat

          public Format getFileFormat()

      Returns the format of the transfer data file.
      Specified by:
        `getFileFormat` in interface `DataFile`
      Returns:
        format of the transfer data file, or `null`.

    - #### setFileFormat

          public void setFileFormat(Format newValue)

      Sets the format of the transfer data file.
      Parameters:
        `newValue` - the new file format value.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.